Bug 203401 - Hostname gets lost when using DHCP
Hostname gets lost when using DHCP
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-21 14:20 EDT by Torsten Rausche
Modified: 2014-03-16 23:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:15:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Simple patch for /etc/sysconfig/network-scripts/ifup-eth (973 bytes, patch)
2006-08-21 14:24 EDT, Torsten Rausche
no flags Details | Diff
Patch v2 - now with checks for HWADDR (1.07 KB, patch)
2006-08-21 16:01 EDT, Torsten Rausche
no flags Details | Diff
Patch v3 - send DHCP_HOSTNAME as client id (987 bytes, patch)
2006-10-14 09:58 EDT, Torsten Rausche
no flags Details | Diff

  None (edit)
Description Torsten Rausche 2006-08-21 14:20:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de; rv:1.8.0.6) Gecko/20060808 Fedora/1.5.0.6-2.fc5 Firefox/1.5.0.6

Description of problem:
My small home network is served by an AVM FRITZ!Box [1] which provides internet access and manages local network configuration per DHCP.
Unfortunately the hostnames of my computers are always set to "noname" when using Fedora. When running Windows XP or MacOSX the name ist set right.
I could narrow down the problem to dhclient not sending dhcp-client-identifier after sending the hostname which the FRITZ!Box seems to want and Windows XP and MacOSX seem to send in form the MAC address of the network device.
I don't know who to blame. But the solution is fairly simple. I will attach a patch for /etc/sysconfig/network-scripts/ifup-eth. It just adds two lines which should be pretty harmless.

[1] http://www.avm.de/en/Produkte/FRITZBox/FRITZ_Box_Fon_WLAN/

Version-Release number of selected component (if applicable):
8.31.5-1

How reproducible:
Always


Steps to Reproduce:
1. Set hostname in /etc/sysconfig/networking/devices/ifcfg-eth0 (DHCP_HOSTNAME). This can be done with system-config-network.
2. Connect your Fedora box to FRITZ!Box.


Actual Results:
The hostname is set to "noname".

Expected Results:
The hostname should be the one set for DHCP_HOSTNAME in /etc/sysconfig/networking/devices/ifcfg-eth0.

Additional info:
Comment 1 Torsten Rausche 2006-08-21 14:24:43 EDT
Created attachment 134583 [details]
Simple patch for /etc/sysconfig/network-scripts/ifup-eth
Comment 2 Bill Nottingham 2006-08-21 14:31:48 EDT
The patch assumes HWADDR is set; it will probably do something odd if it's not.
That's easy enough to pull in at that point, though.
Comment 3 Bill Nottingham 2006-08-21 15:28:02 EDT
Hm, in testing here, MacOSX does not appear to send a client identifier - how is
it working in that case for you?
Comment 4 Bill Nottingham 2006-08-21 15:32:06 EDT
Never mind, found it.
Comment 5 Bill Nottingham 2006-08-21 15:38:40 EDT
How do you have your box configured - static IPs via DHCP or dynamic? Is the
Fritz box doing mac address -> static address mapping?
Comment 6 Torsten Rausche 2006-08-21 15:52:47 EDT
Dynamic. But the FRITZ!Box seems to save the MAC address when it sees it the
first time, chooses an IP address and then gives the client the same IP address
every time. Actually you can only set a range which the box will use to choose
an IP address.
Comment 7 Bill Nottingham 2006-08-21 15:55:15 EDT
So, it's not the 'hostname' that gets lost, but it gets a different IP without
the identifier (so the hostname isn't valid)?
Comment 8 Torsten Rausche 2006-08-21 16:01:37 EDT
Created attachment 134595 [details]
Patch v2 - now with checks for HWADDR
Comment 9 Torsten Rausche 2006-08-21 16:04:33 EDT
No, the IP is the same every time. But if the client identifier is not sent the
FRITZ!Box seems to reset the hostname to "noname".
Comment 10 Bill Nottingham 2006-08-23 14:32:40 EDT
Hm, so this is the hostname in the router boxes' own DNS, yes?

I suspect this is something better changed after FC6 is out, to get more testing.
Comment 11 Torsten Rausche 2006-08-23 16:53:42 EDT
Yes, looks like "noname" is the default name the box gives to clients which do not send client identifiers. It 
also replies this name to DNS queries.
Comment 12 Torsten Rausche 2006-10-14 09:55:35 EDT
Windows and MacOSX send 6 bytes, which represent the MAC address, as client
identifier, not a string of ASCII chars as I assumed. I think we can not imitate
this with 2 lines of script code.
But FRITZ!Box is satisfied with anything we send as client identifier. Therefore
we can also send DHCP_HOSTNAME and do not need further checks.
Comment 13 Torsten Rausche 2006-10-14 09:58:41 EDT
Created attachment 138505 [details]
Patch v3 - send DHCP_HOSTNAME as client id
Comment 14 Bug Zapper 2008-04-03 23:34:00 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 15 Bug Zapper 2008-05-06 12:15:08 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.